# Uses of Interface
org.springframework.web.method.support.HandlerMethodReturnValueHandler

Packages that use HandlerMethodReturnValueHandler
Package
Description
org.springframework.web.method.annotation
Support classes for annotation-based handler method processing.
org.springframework.web.method.support
Generic support classes for handler method processing.

## Uses of HandlerMethodReturnValueHandler in org.springframework.web.method.annotation

Classes in org.springframework.web.method.annotation that implement HandlerMethodReturnValueHandler
Modifier and Type
Class
Description
`class`
`MapMethodProcessor`
Resolves `Map` method arguments and handles `Map` return values.
`class`
`ModelAttributeMethodProcessor`
Resolve `@ModelAttribute` annotated method arguments and handle return values from `@ModelAttribute` annotated methods.
`class`
`ModelMethodProcessor`
Resolves `Model` arguments and handles `Model` return values.

## Uses of HandlerMethodReturnValueHandler in org.springframework.web.method.support

Subinterfaces of HandlerMethodReturnValueHandler in org.springframework.web.method.support
Modifier and Type
Interface
Description
`interface`
`AsyncHandlerMethodReturnValueHandler`
A return value handler that supports async types.
Classes in org.springframework.web.method.support that implement HandlerMethodReturnValueHandler
Modifier and Type
Class
Description
`class`
`HandlerMethodReturnValueHandlerComposite`
Handles method return values by delegating to a list of registered `HandlerMethodReturnValueHandlers`.
Methods in org.springframework.web.method.support that return types with arguments of type HandlerMethodReturnValueHandler
Modifier and Type
Method
Description
`List<HandlerMethodReturnValueHandler>`
HandlerMethodReturnValueHandlerComposite.`getHandlers()`
Return a read-only list with the registered handlers, or an empty list.
Methods in org.springframework.web.method.support with parameters of type HandlerMethodReturnValueHandler
Modifier and Type
Method
Description
`HandlerMethodReturnValueHandlerComposite`
HandlerMethodReturnValueHandlerComposite.`addHandler(HandlerMethodReturnValueHandler handler)`
Add the given `HandlerMethodReturnValueHandler`.
Method parameters in org.springframework.web.method.support with type arguments of type HandlerMethodReturnValueHandler
Modifier and Type
Method
Description
`HandlerMethodReturnValueHandlerComposite`
HandlerMethodReturnValueHandlerComposite.`addHandlers(List<? extends HandlerMethodReturnValueHandler> handlers)`
Add the given `HandlerMethodReturnValueHandlers`.